#ifndef WINSYSTEM_WSTRING_H
#define WINSYSTEM_WSTRING_H

#include <string>
#include <algorithm>

inline std::wstring str2wstr(const std::string &s) {
	std::wstring temp(s.length(), L' ');
	std::copy(s.begin(), s.end(), temp.begin());
	return temp;
}

inline std::string wstr2str(const std::wstring &s) {
	std::string temp(s.length(), L' ');
	std::copy(s.begin(), s.end(), temp.begin());
	return temp;
}

#endif	//WINSYSTEM_WSTRING_H

